Bug 605652 - Chapter 6: Compiling and Building
Summary: Chapter 6: Compiling and Building
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Developer_Guide (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Don Domingo
QA Contact:
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks: 561711
TreeView+ depends on / blocked
 
Reported: 2010-06-18 13:40 UTC by Michal Nowak
Modified: 2013-03-08 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 15:29:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Nowak 2010-06-18 13:40:23 UTC
Description of problem:

Re "and ia64 kernels" -- since 6.0 we don't care of IA64.

Re "x86_64": I remember doc folks use somewhat suitable names for those archs (something like "Intel ET 64..."). But perhaps we don't care in devel docs that much?

Also to this paragraph: For the sake of completeness, IBM seems to support S/390 compilers (and likely POWER architecture too).

Re "Do we support Ada and Objective-C in RHEL?": There weren't much Ada bugs in the past, however we have Ada as well as ObjectiveC in main repo (i.e. not the optional one); see http://download.englab.brq.redhat.com/pub/rhel/nightly/latest-RHEL-6/6.0/Server/i386/os/Packages/.

Re "insruction length": Typo.

Re "Intel ATOM": Should be "Intel Atom".

Re "Power 7" -> "POWER7".

+ Another feature in GCC which is post upstream 4.4: See bug 538266: https://bugzilla.redhat.com/show_bug.cgi?id=538266#c4

Re compatibility with gcc-3.4: We had 4.1 in FC 6 at least, 3.4 could be there as package compat-gcc34 only, so it wasn't it's primary compiler.

Re buggy gcc-4.2.1: I guees we never shipped it in RHEL, so we should not care?

Re elfutils and "what happens if i compile without it?" A: Pretty much nothing bad. elfutils are good for object files and executables introspection, not for compilation and linking.

Paragraph starting "Compiling with GNU GCC tools..." is there twice.

Comment 2 RHEL Product and Program Management 2010-06-18 14:03:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 releng-rhel@redhat.com 2010-11-11 15:29:30 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.